Bug 23968 - OPACMySummaryNote does not work
Summary: OPACMySummaryNote does not work
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-05 08:51 UTC by Fridolin SOMERS
Modified: 2019-12-10 22:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23968: fix OPACMySummaryNote feature (1.60 KB, patch)
2019-11-05 08:56 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23968: Add div this id around OPACMySummaryNote content (1.08 KB, patch)
2019-11-05 08:57 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23968: fix OPACMySummaryNote feature (1.60 KB, patch)
2019-11-05 11:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23968: Add div this id around OPACMySummaryNote content (1.14 KB, patch)
2019-11-05 11:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-11-05 08:51:00 UTC
The system preference OPACMySummaryNote is used to display on the logged-in patron summary page at OPAC.
It does not display anymore.

Looks like it comes from code :
[% IF OPACMySummaryNote %][% Koha.Preference('OPACMySummaryNote') | $raw %][% END %]
OPACMySummaryNote used to be a provided variable.

I propose to fix and add a div with an id to allow tunning of this specific display.
Comment 1 Fridolin SOMERS 2019-11-05 08:56:52 UTC
Created attachment 95039 [details] [review]
Bug 23968: fix OPACMySummaryNote feature

The system preference OPACMySummaryNote is used to display on the logged-in patron summary page at OPAC.
It does not display anymore.

Looks like it comes from code :
[% IF OPACMySummaryNote %][% Koha.Preference('OPACMySummaryNote') | $raw %][% END %]
OPACMySummaryNote used to be a provided variable.

Test plan:
1) Enable system preference OPACMySummaryNote
2) Enter some HTML into it
3) Go to OPAC and loggin
4) Check you see the HTML in opac-user.pl
5) Disable the preference
6) Check you dont see the HTML anymore
Comment 2 Fridolin SOMERS 2019-11-05 08:57:03 UTC
Created attachment 95040 [details] [review]
Bug 23968: Add div this id around OPACMySummaryNote content
Comment 3 Katrin Fischer 2019-11-05 11:42:54 UTC
Created attachment 95046 [details] [review]
Bug 23968: fix OPACMySummaryNote feature

The system preference OPACMySummaryNote is used to display on the logged-in patron summary page at OPAC.
It does not display anymore.

Looks like it comes from code :
[% IF OPACMySummaryNote %][% Koha.Preference('OPACMySummaryNote') | $raw %][% END %]
OPACMySummaryNote used to be a provided variable.

Test plan:
1) Enable system preference OPACMySummaryNote
2) Enter some HTML into it
3) Go to OPAC and loggin
4) Check you see the HTML in opac-user.pl
5) Disable the preference
6) Check you dont see the HTML anymore
Comment 4 Katrin Fischer 2019-11-05 11:42:58 UTC
Created attachment 95047 [details] [review]
Bug 23968: Add div this id around OPACMySummaryNote content

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-11-05 11:43:55 UTC
Obvious template fix, passing QA.
Comment 6 Martin Renvoize 2019-11-06 17:10:33 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Lucas Gass 2019-12-10 22:34:59 UTC
this feature is not broken for me in 19.05.x, not backporting